CREATE TABLE authors (
  id_author int(6) NOT NULL auto_increment,
  name tinytext NOT NULL,
  passw tinytext NOT NULL,
  email tinytext NOT NULL,
  sendmail enum('yes','no') NOT NULL default 'no',
  url tinytext NOT NULL,
  icq tinytext NOT NULL,
  about mediumtext NOT NULL,
  photo tinytext NOT NULL,
  time datetime NOT NULL default '0000-00-00 00:00:00',
  last_time datetime NOT NULL default '0000-00-00 00:00:00',
  themes int(10) NOT NULL default '0',
  statususer enum('','moderator','admin') NOT NULL default '',
  PRIMARY KEY  (id_author)
) TYPE=MyISAM;
CREATE TABLE forums (
  id_forum int(6) NOT NULL auto_increment,
  name mediumtext NOT NULL,
  rule mediumtext NOT NULL,
  logo mediumtext NOT NULL,
  pos int(6) NOT NULL default '0',
  hide enum('show','hide') NOT NULL default 'show',
  PRIMARY KEY  (id_forum)
) TYPE=MyISAM;
INSERT INTO forums VALUES (1, ' ', '', '  ', 1, 'show');
CREATE TABLE posts (
  id_post int(11) NOT NULL auto_increment,
  name text NOT NULL,
  url tinytext NOT NULL,
  putfile tinytext NOT NULL,
  author tinytext NOT NULL,
  id_author int(6) NOT NULL default '0',
  hide enum('show','hide','lock') NOT NULL default 'show',
  time datetime NOT NULL default '0000-00-00 00:00:00',
  parent_post int(11) NOT NULL default '0',
  id_theme int(11) NOT NULL default '0',
  PRIMARY KEY  (id_post),
  FULLTEXT KEY search (name,author)
) TYPE=MyISAM;
CREATE TABLE settings (
  name_forum tinytext NOT NULL,
  number_themes int(3) NOT NULL default '0',
  size_file int(10) NOT NULL default '0',
  size_photo int(10) NOT NULL default '0',
  send_mail enum('yes','no') NOT NULL default 'no',
  email tinytext NOT NULL,
  show_struct_switch enum('yes','no') NOT NULL default 'yes',
  show_forum_switch enum('yes','no') NOT NULL default 'yes',
  hello tinytext NOT NULL,
  cooktime int(10) NOT NULL default '0',
  skin tinytext NOT NULL
) TYPE=MyISAM;
INSERT INTO settings VALUES ('LiteForum 2.0.0', 30, 824288, 824288, 'no', 'my@yandex.ru', 'yes', 'yes', '  ,', 3, 'base');
CREATE TABLE themes (
  id_theme int(11) NOT NULL auto_increment,
  name tinytext NOT NULL,
  author tinytext NOT NULL,
  id_author int(6) NOT NULL default '0',
  hide enum('show','hide','lock') NOT NULL default 'show',
  time datetime NOT NULL default '0000-00-00 00:00:00',
  id_forum int(2) NOT NULL default '0',
  PRIMARY KEY  (id_theme),
  FULLTEXT KEY search (name,author)
) TYPE=MyISAM;
